> ## Documentation Index > Fetch the complete documentation index at: https://support.keypro.fi/llms.txt > Use this file to discover all available pages before exploring further. # Get list of Electric Ducts > Operation is used to get a list of Electric Ducts. Available from product version 3.2.2. Electric Ducts can be filtered by giving filtering parameters at HTTP querystring (see parameters). ## OpenAPI ````json GET /el_ducts/ { "openapi": "3.0.4", "info": { "title": "KeyLight REST API", "termsOfService": "https://www.keypro.fi/en/terms-of-service", "contact": { "name": "Keypro Oy", "url": "https://keypro.fi/", "email": "keypro@keypro.fi" }, "license": { "name": "Copyright (C) Keypro Oy. All rights reserved.", "url": "https://www.keypro.fi/" }, "version": "2.0.0" }, "servers": [ { "url": "/api/v2" } ], "tags": [ { "name": "Plan", "description": "Plan related operations." }, { "name": "FreeArea", "description": "FreeArea related operations." }, { "name": "FreeLine", "description": "FreeLine related operations." }, { "name": "FreeText", "description": "FreeText related operations." }, { "name": "FreeTextComponent", "description": "FreeText component related operations." }, { "name": "Address", "description": "Building address related operations." }, { "name": "Apartment", "description": "Building apartments related operations." }, { "name": "Extra Attribute", "description": "Extra attributes related operations." }, { "name": "Extra Value", "description": "Extra attribute values related operations." }, { "name": "EAV Enum", "description": "EAV Enum value related operations." }, { "name": "EAV Enum Group", "description": "EAV Enum group related operations." }, { "name": "External Document", "description": "External documents related operations." }, { "name": "Attached Document", "description": "Attached Documents related operations." }, { "name": "Collections", "description": "Collection related operations." }, { "name": "Source system apartment", "description": "External source system derived apartment related operations." }, { "name": "Source system address", "description": "External source system derived address related operations." }, { "name": "Address alias", "description": "Address aliases related operations" }, { "name": "TxtConstant", "description": "TxtConstants related operations." }, { "name": "Point", "description": "Point objects related operations." }, { "name": "Survey Constant", "description": "Survey Constants related operations." }, { "name": "Survey Point", "description": "Survey Points related operations." }, { "name": "Survey Line String", "description": "Survey Line Strings related operations." }, { "name": "Template Catalog", "description": "Template Catalog related operations." }, { "name": "Route Following", "description": "Route following related operations." }, { "name": "Contact Person", "description": "Contact person related operations." }, { "name": "Contact Person Connection", "description": "Contact person connection related operations." }, { "name": "Electric Premises", "description": "Electric Premises related operations." }, { "name": "Electric Fuse", "description": "Fuse related operations." }, { "name": "Electric Splice", "description": "Electric Splice related operations." }, { "name": "Electric Manhole", "description": "Electric Manhole related operations." }, { "name": "Electric Point Object", "description": "Other electric point objects related operations." }, { "name": "Electric Pole", "description": "Electric Pole related operations." }, { "name": "Streetlight", "description": "Streetlight related operations." }, { "name": "Traffic Signal", "description": "Traffic signal related operations." }, { "name": "Electric Cable", "description": "Electric Cable related operations." }, { "name": "Electric Cable Connection", "description": "Operations related to connecting Electric Cables and Electric endpoints(Streetlights, Splices, Premises)." }, { "name": "Electric Conduit", "description": "Electric Conduit related operations." }, { "name": "Electric Conduit Link", "description": "Operations related to putting Electric Cables and Ducts into Conduits." }, { "name": "Electric Conduit Connection", "description": "Operations related to connecting Conduits and endpoints(Streetlights, Splices, Premises)." }, { "name": "Electric Duct", "description": "Electric Duct related operations." }, { "name": "Electric Duct Link", "description": "Operations related to putting Electric Cables into Ducts." }, { "name": "Electric Routefollower", "description": "Electric Routefollower related operations." }, { "name": "Task", "description": "Task related operations." }, { "name": "Subregion", "description": "Subregion related operations." }, { "name": "SAttribute", "description": "SAttribute related operations." }, { "name": "Fault", "description": "Fault related operations." }, { "name": "Maintenance history", "description": "Maintenance history related operations." }, { "name": "Deflection", "description": "Deflection related operations." }, { "name": "Fault Component", "description": "Fault Component related operations." }, { "name": "Task Comment", "description": "Task comment related operations." }, { "name": "FaultComponentFault", "description": "FaultComponentFault related operations." } ], "paths": { "/el_ducts/": { "get": { "tags": [ "Electric Duct" ], "summary": "Get list of Electric Ducts", "description": "Operation is used to get a list of Electric Ducts. Available from product version 3.2.2.\n\nElectric Ducts can be filtered by giving filtering parameters at HTTP querystring (see parameters).\n", "operationId": "getElDucts", "parameters": [ { "$ref": "#/components/parameters/offsetParam" }, { "$ref": "#/components/parameters/limitParam" }, { "$ref": "#/components/parameters/srsParam" }, { "$ref": "#/components/parameters/precisionParam" }, { "$ref": "#/components/parameters/dimsParam" }, { "$ref": "#/components/parameters/filterParam" }, { "$ref": "#/components/parameters/orderParam" } ], "responses": { "200": { "description": "A result response object.", "content": { "application/json": { "schema": { "type": "object", "properties": { "Next": { "type": "string", "description": "Url to next page of Electric Ducts list. Null if No next page exist", "format": "url" }, "Previous": { "type": "string", "description": "Url to previous page of Electric Ducts list. Null if No previous page exist", "format": "url" }, "Results": { "type": "array", "items": { "$ref": "#/components/schemas/ElDuct" }, "description": "List of fetched Electric Ducts" }, "Total": { "type": "integer", "description": "Total number of Electric Ducts" } } }, "example": { "Next": null, "Previous": null, "Results": [ { "cables": [ "http://keylight.example.com/api/v2/el_cables/95500/" ], "conduit": [], "id": 20011, "identification": "ABC", "installation_year": null, "owner": null, "plan": null, "renter": null, "type": { "availability_end": null, "availability_start": null, "colour": "Harmaa", "cross_section_cell": "", "form": { "availability_end_ts": "2020-12-31T00:00:00", "availability_start_ts": "2020-01-01T00:00:00", "available": true, "groupname": "DUCT_FORM", "id": 90, "list_url": "http://keylight.example.com/api/v2/txt_constants/groupname/DUCT_FORM/", "logical_txt": "Tavallinen", "num_value": 10.1, "num_value2": 20.2, "num_value3": 30.3, "num_value4": 40.4, "txt": "Tavallinen" }, "id": 11, "inner_diameter": null, "list_url": "http://keylight.example.com/api/v2/el_ducttypes/", "material": { "availability_end_ts": "2020-12-31T00:00:00", "availability_start_ts": "2020-01-01T00:00:00", "available": true, "groupname": "DUCT_MATERIAL", "id": 7201, "list_url": "http://keylight.example.com/api/v2/txt_constants/groupname/DUCT_MATERIAL/", "logical_txt": "Muovi", "num_value": 10.1, "num_value2": 20.2, "num_value3": 30.3, "num_value4": 40.4, "txt": "Muovi" }, "n_subducts": null, "outer_diameter": 100, "subduct_type": "", "type": "M100", "unit_cost": null }, "usage_state": 650 } ], "Total": 1 } } } }, "401": { "$ref": "#/components/responses/Http401" } }, "security": [ { "Token": [] } ] } } }, "components": { "parameters": { "offsetParam": { "name": "offset", "in": "query", "description": "Offset to start returning results.", "schema": { "minimum": 0, "type": "integer" } }, "limitParam": { "name": "limit", "in": "query", "description": "Limit number of results returned. Set to -1 to use maximum limit set in the environment. Default limit will be used if parameter is not specified. Special value -1 is available from product version 3.2.18.", "schema": { "minimum": 1, "type": "integer" } }, "srsParam": { "name": "srs", "in": "query", "description": "Coordinate system used to transform location fields in API responses.\nThis parameter does not apply to locations sent in request query parameters or request bodies.\n\nFor locations in requests, use EWKT with SRID.\nIf EWKT is provided without SRID, the system default SRID will be used.\n\n**Example:** `srs=epsg:4326`\n", "schema": { "type": "string" } }, "precisionParam": { "name": "precision", "in": "query", "description": "Number of decimals to be returned with object location. If parameter is not specified the number of decimals is as precise as possible for current running instance. Available from product version 2024.4.", "schema": { "minimum": 1, "type": "integer" } }, "dimsParam": { "name": "dimensions", "in": "query", "description": "number of dimensions to be returned. Acceptable values are 2 and 3. If parameter is not specified the number of dimensions are as default for current product. Available from product version 2024.4.", "schema": { "minimum": 1, "type": "integer" } }, "filterParam": { "name": "__any of the object fields__", "in": "query", "description": "Filters list by selected object field value.\nSupports structured queries via +++__+++ delimiter.\nSupports ending keywords via +++__+++ delimiter:\n- For string fields: istartswith, startswith, iendswith, endswith, contains, icontains, isnull\n- For numerics: gt, lt, gte, lte, isnull\n- For spatial fields: contains, isnull, within, intersects, disjoint, touches, overlaps, covers, coveredby\n**Examples:** `+++usage_state__txt__istartswith=in+++` ,\n`+++plan__state__txt__startswith=In+++` , `+++creation_date__gte=2019-01-02T15:32:01+++`,\n`+++location__within=POLYGON ((641503.89 6944059.81, 641406.52 6943933.87, 641369.48 6943772.48, 641474.25 6943704.74, 641873.78 6943735.96, 641848.38 6943975.15, 641607.08 6944167.76, 641653.11 6944102.15, 641503.89 6944059.81))+++`\nSupports exclusive queries by field value using a not-operator preceding the field lookup:\n**Examples:** `+++not__type__txt__istartswith=Tie+++` , `+++not__id=1390+++`\n", "schema": { "type": "string" } }, "orderParam": { "name": "orderby", "in": "query", "description": "Selects the object field to order the returned objects by.\nCan be used to sort in reverse order with '-' prefix.\nCan have several ordering rules separated by comma.\nCan be used only for object own fields and does not support structured queries.\n**Example:** `orderby=creator,-creation_date`\n", "schema": { "type": "string" } } }, "schemas": { "ElDuct": { "required": [ "type", "usage_state" ], "type": "object", "properties": { "contractor": { "$ref": "#/components/schemas/ElCableContractor" }, "creation_date": { "type": "string", "description": "Creation date and time", "format": "date-time", "readOnly": true }, "creator": { "type": "string", "description": "creator", "readOnly": true }, "depth_class": { "$ref": "#/components/schemas/ElCableDepthClass" }, "false_cable": { "type": "boolean", "description": "unknown" }, "height_accuracy": { "$ref": "#/components/schemas/HeightAccuracy" }, "id": { "type": "integer", "description": "Primary key", "readOnly": true }, "identification": { "type": "string", "description": "Identification" }, "installation_date": { "type": "string", "description": "installation date", "format": "date-time" }, "installation_type": { "$ref": "#/components/schemas/ElCableTypeInstallationType" }, "installation_year": { "type": "integer", "description": "Installation year" }, "length": { "type": "number", "description": "cable length", "format": "float" }, "location": { "type": "string", "description": "Geographical location", "format": "ewkt" }, "location_accuracy": { "$ref": "#/components/schemas/LocationAccuracy" }, "mapper": { "type": "string", "description": "mapper name" }, "mapping_date": { "type": "string", "description": "mapping date", "format": "date-time" }, "mapping_method": { "$ref": "#/components/schemas/MappingMethod" }, "measure": { "$ref": "#/components/schemas/ElCableMeasure" }, "network_area": { "$ref": "#/components/schemas/ElDivision" }, "owner": { "$ref": "#/components/schemas/ElCableOwner" }, "plan": { "$ref": "#/components/schemas/Plan" }, "remarks": { "type": "string", "description": "Remarks. Available from product version 3.2.14." }, "renter": { "$ref": "#/components/schemas/ElCableRenter" }, "safety_distance": { "$ref": "#/components/schemas/SafetyDistance" }, "survey_amount": { "type": "integer", "description": "unknown" }, "type": { "$ref": "#/components/schemas/ElCableType" }, "update_date": { "type": "string", "description": "Last update date time", "format": "date-time", "readOnly": true }, "updated_by": { "type": "string", "description": "Last updater", "readOnly": true }, "usage_state": { "$ref": "#/components/schemas/ElCableUsageState" } } }, "ElCableContractor": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "EL_CABLE_CONTRACTOR" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Electrical cable contractor" }, "ElCableDepthClass": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "INSTALL_DEPTH_CLASS" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Electrical cable or conduit installation depth class" }, "HeightAccuracy": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "H_ACCURACY" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Height accuracy" }, "ElCableTypeInstallationType": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "CABLE_TYPE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Electrical cable default installation type" }, "LocationAccuracy": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "LOCATION_ACCURACY" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Location accuracy" }, "MappingMethod": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "MAPPING_METHOD" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Mapping method" }, "ElCableMeasure": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "CABLE_MEASURE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Electrical cable or conduit measure" }, "ElDivision": { "type": "object", "properties": { "id": { "type": "integer", "description": "Unique id of division", "readOnly": true }, "list_url": { "type": "string", "description": "Url to fetch all divisions", "format": "url", "readOnly": true }, "location": { "type": "string", "description": "Location of Division", "format": "ewkt", "readOnly": true }, "name": { "type": "string", "description": "Name of division", "readOnly": true } }, "description": "Division" }, "ElCableOwner": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "CABLE_OWNER" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Electrical cable owner" }, "Plan": { "required": [ "state", "type", "name" ], "type": "object", "properties": { "Branch_line": { "$ref": "#/components/schemas/DHCPDN" }, "Center_measure": { "$ref": "#/components/schemas/DHCPDN" }, "Construction": { "$ref": "#/components/schemas/PlanConstruction" }, "Excavation": { "$ref": "#/components/schemas/PlanExcavation" }, "Limiter": { "$ref": "#/components/schemas/DHCPLimiter" }, "Plan_piping": { "$ref": "#/components/schemas/PlanPiping" }, "agreed_delivery_date": { "type": "string", "description": "Agreed Delivery Date. Activated on request by customer.", "format": "date-time" }, "area_description": { "type": "string", "description": "Area Description. Activated on request by customer." }, "begin_date": { "type": "string", "description": "Begin Date", "format": "date-time" }, "construction_year": { "type": "integer", "description": "Contact Name. Not shown when displaying plan details in related objects. Activated on request by customer." }, "contact_email": { "type": "string", "description": "Contact Email Address. Activated on request by customer." }, "contact_name": { "type": "string", "description": "Contact Name. Activated on request by customer." }, "contact_phone": { "type": "string", "description": "Contact phone number. Activated on request by customer." }, "cp_identification": { "type": "string", "description": "Consumer Point Identification. Activated on request by customer." }, "created_by": { "type": "string", "description": "Created by" }, "created_date": { "type": "string", "description": "Create Date", "format": "date-time" }, "customer_contact_date": { "type": "string", "description": "Customer Contact Date. Activated on request by customer.", "format": "date-time" }, "description": { "type": "string", "description": "Description" }, "desired_delivery_date": { "type": "string", "description": "Desired Delivery Date. Activated on request by customer.", "format": "date-time" }, "district_area": { "$ref": "#/components/schemas/DistrictArea" }, "duration": { "type": "integer", "description": "Duration. Activated on request by customer." }, "expire_date": { "type": "string", "description": "Expire Date", "format": "date-time" }, "first_contact": { "type": "string", "description": "First contact person for plan. Not shown when displaying plan details in related objects. Activated on request by customer." }, "id": { "type": "integer", "description": "Unique id of plan", "readOnly": true }, "implementation_begin_end": { "type": "string", "description": "Implementation Date. Activated on request by customer.", "format": "date-time" }, "implementation_date": { "type": "string", "description": "Implementation Date. Activated on request by customer. Format is date with no time from product version 3.7.1.", "format": "date" }, "latest_implementation_date": { "type": "string", "description": "Latest Implementation Date. Activated on request by customer. Format is date with no time from product version 3.7.1.", "format": "date" }, "list_url": { "type": "string", "description": "URL to the list of all Plans. Only shown when displaying plan details in related objects.", "format": "url" }, "location": { "type": "string", "description": "Geographical location. As EWKT representation", "format": "ewkt" }, "louhi_id": { "type": "string", "description": "Louhi ID. Activated on request by customer." }, "modifications": { "type": "string", "description": "Modifications. Not shown when displaying plan details in related objects. Activated on request by customer." }, "name": { "type": "string", "description": "Name of Plan" }, "network": { "$ref": "#/components/schemas/PlanNetworkType" }, "network_owner": { "$ref": "#/components/schemas/PlanNetworkOwner" }, "offer_accepted_date": { "type": "string", "description": "Offer Accepted Date. Activated on request by customer.", "format": "date-time" }, "offer_id": { "type": "string", "description": "Offer ID. Activated on request by customer." }, "parentplan": { "type": "string", "description": "URL to the plan of which the plan is part of (subplan). Available from version 3.2.24. Activated on request by customer.", "format": "url" }, "plan_remark": { "type": "string", "description": "Plan remark. Not shown when displaying plan details in related objects. Activated on request by customer." }, "plumbing_start_date": { "type": "string", "description": "Plumbing Start Date. Activated on request by customer.", "format": "date-time" }, "property_address": { "type": "string", "description": "Property address. Not shown when displaying plan details in related objects. Activated on request by customer." }, "publicity": { "$ref": "#/components/schemas/PlanPublicity" }, "state": { "$ref": "#/components/schemas/PlanState" }, "total_cost": { "type": "number", "description": "Sum of cost for all related objects for the plan. Not shown when displaying plan details in related objects. Activated on request by customer.", "format": "float" }, "type": { "$ref": "#/components/schemas/PlanType" }, "updated_by": { "type": "string", "description": "Updated by" }, "updated_date": { "type": "string", "description": "Update Date", "format": "date-time" }, "work_activities": { "type": "string", "description": "Work Activities. Activated on request by customer." }, "work_phase": { "$ref": "#/components/schemas/PlanWorkPhase" }, "work_project": { "type": "string", "description": "Work Project. Activated on request by customer." }, "work_type": { "$ref": "#/components/schemas/PlanWorkType" }, "work_type_main": { "$ref": "#/components/schemas/PlanWorkTypeMain" }, "work_type_sub": { "$ref": "#/components/schemas/PlanWorkTypeSub" } }, "description": "Plan" }, "ElCableRenter": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "CABLE_RENTER" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Electrical cable renter" }, "SafetyDistance": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "SAFETY_DISTANCE" ], "description": "Group name of constant." }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Safety Distance" }, "ElCableType": { "type": "object", "properties": { "R_L": { "type": "number", "description": "Resistance L [ohm/km]", "format": "float" }, "R_N": { "type": "number", "description": "Resistance N [ohm/km]", "format": "float" }, "X_L": { "type": "number", "description": "Reactance L [ohm/km]", "format": "float" }, "X_LN": { "type": "number", "description": "Reactance LN [ohm/km]", "format": "float" }, "X_N": { "type": "number", "description": "Reactance N [ohm/km]", "format": "float" }, "cable_technology": { "$ref": "#/components/schemas/ElCableTypeTechnology" }, "conductor_material": { "$ref": "#/components/schemas/ElCableTypeConductorMaterial" }, "id": { "type": "integer", "description": "Primary key", "readOnly": true }, "installation_type": { "$ref": "#/components/schemas/ElCableTypeInstallationType" }, "list_url": { "type": "string", "description": "Url to fetch all cable types" }, "specification": { "type": "string", "description": "cable type specification" }, "tech_name": { "type": "string", "description": "cable tech name" }, "temperature": { "type": "number", "description": "Values measurement temperature, Celcius Degrees", "format": "float" }, "type_name": { "type": "string", "description": "cable type name" }, "voltage": { "type": "number", "description": "cable type voltage, V", "format": "float" } }, "description": "Electrical cable type" }, "ElCableUsageState": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "CABLE_STATE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Electrical cable usage state" }, "ErrorDetailsResponse": { "required": [ "details" ], "type": "object", "properties": { "details": { "type": "string", "description": "Detailed description of error" } }, "description": "Standard error response payload" }, "DHCPDN": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "DH_CP_DN" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "District Heating Consumer Point Duct Diameter" }, "PlanConstruction": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "PLAN_CONSTRUCTION" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Plan Construction" }, "PlanExcavation": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "PLAN_EXCAVATION" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Plan Excavation" }, "DHCPLimiter": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "DH_CP_LIMITER" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "District Heating Consumer Point Limiter" }, "PlanPiping": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "PLAN_PIPING" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Plan Piping" }, "DistrictArea": { "type": "object", "properties": { "location": { "type": "string", "description": "Geographical location as EWKT representation", "format": "ewkt" }, "name": { "type": "string", "description": "Name of District Area" } }, "description": "District Area" }, "PlanNetworkType": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "PLAN_NETWORK_TYPE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Plan Network Type" }, "PlanNetworkOwner": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "PLAN_NETWORK_OWNER" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Plan Network Owner" }, "PlanPublicity": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "PLAN_PUBLICITY" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Plan Publicity" }, "PlanState": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "PLAN_STATE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Plan state" }, "PlanType": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "PLAN_TYPE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Plan type" }, "PlanWorkPhase": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "PLAN_WORK_PHASE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Plan Work Phase" }, "PlanWorkType": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "PLAN_WORK_TYPE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Plan Work Type" }, "PlanWorkTypeMain": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "PLAN_WORK_TYPE_MAIN" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Plan Work Type Main" }, "PlanWorkTypeSub": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "PLAN_WORK_TYPE_SUB" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Plan Work Type Sub" }, "ElCableTypeTechnology": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "EL_CABLE_TECHNOLOGY" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Electrical cable technology" }, "ElCableTypeConductorMaterial": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "CABLE_TYPE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Electrical cable default installation type" } }, "responses": { "Http401": { "description": "Authentication credentials are missing or invalid", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ErrorDetailsResponse" }, "example": { "details": "Authentication credentials were not provided" } } } } }, "securitySchemes": { "Token": { "type": "apiKey", "description": "Token issued for API consumer.", "name": "Authorization", "in": "header" } } } } ````